#ifndef _NOOKS_AGENT_H
 #define _NOOKS_AGENT_H

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/fcntl.h>
#include <sys/wait.h>
#include <sys/mount.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <limits.h>
#include <ctype.h>
#include <errno.h>
#include <nooks-sys.h>
#include <asm/msr.h>
#include <time.h>
#include <sys/time.h>

#include "util.h"
#include "config.h"

#include "driver_conf.h"
#include "stats.h"
#include "log.h"

#define NOOKS_MAX_DRIVERS 20

extern char *nook_name;
extern int driver_count;
extern driver_t drivers[NOOKS_MAX_DRIVERS];
#endif
